{"title":"Create items (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_create_item/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_item, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_item","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Creates an item object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create items (v1.0)","slug":"create-items-v10","at":0,"chars":1810},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":91,"chars":206},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":297,"chars":109},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":406,"chars":93},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":499,"chars":128},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":627,"chars":986},{"level":2,"title":"Related information","slug":"related-information","at":1613,"chars":197}],"text":"# Create items (v1.0)\nCreate an item in Business Central for use on invoices, quotes, etc.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/items\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body (v1.0)\nIn the request body, supply a JSON representation of an items object.\n## Response (v1.0)\nIf successful, this method returns ```201 Created``` response code and an items object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v1.0/companies({id})/items\nContent-type: application/json\n\n{\n  \"number\": \"1896-S\",\n  \"displayName\": \"ATHENS Desk\",\n  \"type\": \"Inventory\",\n  \"blocked\": false,\n  \"baseUnitOfMeasure\": {\n    \"unitCode\": \"PCS\",\n    \"unitName\": \"Piece\",\n    \"symbol\": \"\",\n    \"unitConversion\": null\n  },\n  \"gtin\": \"\",\n  \"itemCategory\": {\n    \"categoryId\": \"TABLE\",\n    \"description\": \"Assorted Tables\"\n  },\n  \"inventory\": 0,\n  \"unitPrice\": 1000.8,\n  \"priceIncludesTax\": false,\n  \"unitCost\": 780.7,\n  \"taxGroupCode\": \"FURNITURE\"\n}\n```\nResponse\nHere is an example of the response.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n  \"id\": \"id-value\",\n  \"number\": \"1896-S\",\n  \"displayName\": \"ATHENS Desk\",\n  \"lastModifiedDateTime\": \"2015-11-09T02:14:32Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_item\ndynamics_item_get\nPatch item<dynamics_item_update>\ndynamics_item_delete"}